ifdef raspi
  PACKAGES += nodm xserver-xorg-input-evdev libgl1-mesa-dri
else
  PACKAGES += nodm xserver-xorg-video-all xserver-xorg-input-all libgl1-mesa-dri
endif

define DEBCONF +=

nodm	nodm/enabled	boolean	true
endef

ifdef nodm_user
  _config: _nodm_user _nodm_cfg
define DEBCONF +=

nodm	nodm/user	string	${nodm_user}
endef
endif

ifdef webui
  _config: _nodm_cfg
  ifdef raspi
    nodm_browser := chromium-browser
    PACKAGES += chromium-browser
  else
    nodm_browser := chromium
    PACKAGES += chromium
  endif
define DEBCONF +=

nodm	nodm/xsession	string	"/usr/bin/${nodm_browser} --app=${webui}"
endef
endif

.PHONY: _nodm_user _nodm_cfg

_nodm_cfg: ${CFGROOT}
	rm "$${CFGROOT}/etc/default/nodm"
	chroot "$${CFGROOT}" dpkg-reconfigure --default-priority -u nodm

ifdef users
  _nodm_user: _users
endif

_nodm_user: ${CFGROOT}
	chroot "${CFGROOT}" adduser "${nodm_user}" video
	chroot "${CFGROOT}" adduser "${nodm_user}" input

